package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EpsMethodChangeRecordMapper;
import com.ruoyi.system.domain.EpsMethodChangeRecord;
import com.ruoyi.system.service.IEpsMethodChangeRecordService;

/**
 * 收益方式修改记录Service业务层处理
 * 
 * @author gyt
 * @date 2025-08-15
 */
@Service
public class EpsMethodChangeRecordServiceImpl implements IEpsMethodChangeRecordService 
{
    @Autowired
    private EpsMethodChangeRecordMapper epsMethodChangeRecordMapper;

    /**
     * 查询收益方式修改记录
     * 
     * @param id 收益方式修改记录主键
     * @return 收益方式修改记录
     */
    @Override
    public EpsMethodChangeRecord selectEpsMethodChangeRecordById(Long id)
    {
        return epsMethodChangeRecordMapper.selectEpsMethodChangeRecordById(id);
    }

    /**
     * 查询收益方式修改记录列表
     * 
     * @param epsMethodChangeRecord 收益方式修改记录
     * @return 收益方式修改记录
     */
    @Override
    public List<EpsMethodChangeRecord> selectEpsMethodChangeRecordList(EpsMethodChangeRecord epsMethodChangeRecord)
    {
        return epsMethodChangeRecordMapper.selectEpsMethodChangeRecordList(epsMethodChangeRecord);
    }

    /**
     * 新增收益方式修改记录
     * 
     * @param epsMethodChangeRecord 收益方式修改记录
     * @return 结果
     */
    @Override
    public int insertEpsMethodChangeRecord(EpsMethodChangeRecord epsMethodChangeRecord)
    {
        epsMethodChangeRecord.setCreateTime(DateUtils.getNowDate());
        return epsMethodChangeRecordMapper.insertEpsMethodChangeRecord(epsMethodChangeRecord);
    }

    /**
     * 修改收益方式修改记录
     * 
     * @param epsMethodChangeRecord 收益方式修改记录
     * @return 结果
     */
    @Override
    public int updateEpsMethodChangeRecord(EpsMethodChangeRecord epsMethodChangeRecord)
    {
        epsMethodChangeRecord.setUpdateTime(DateUtils.getNowDate());
        return epsMethodChangeRecordMapper.updateEpsMethodChangeRecord(epsMethodChangeRecord);
    }

    /**
     * 批量删除收益方式修改记录
     * 
     * @param ids 需要删除的收益方式修改记录主键
     * @return 结果
     */
    @Override
    public int deleteEpsMethodChangeRecordByIds(Long[] ids)
    {
        return epsMethodChangeRecordMapper.deleteEpsMethodChangeRecordByIds(ids);
    }

    /**
     * 删除收益方式修改记录信息
     * 
     * @param id 收益方式修改记录主键
     * @return 结果
     */
    @Override
    public int deleteEpsMethodChangeRecordById(Long id)
    {
        return epsMethodChangeRecordMapper.deleteEpsMethodChangeRecordById(id);
    }
}
